Download it now!
Bug 120037 - Slide transition sidebar panel does not scroll when selecting "None"
Summary: Slide transition sidebar panel does not scroll when selecting "None"
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Patrik Vas
URL:
Whiteboard: target:6.3.0
Keywords: difficultyBeginner, easyHack, topicUI
Depends on:
Blocks: Sidebar-Slide-Transition
  Show dependency treegraph
 
Reported: 2018-09-21 19:55 UTC by Tamás Zolnai
Modified: 2019-05-27 14:11 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tamás Zolnai 2018-09-21 19:55:03 UTC
Description:
On the slide transition sidebar panel we have a list of slide transitions. Since there are more transitions what we can display on the panel there is a scrollbar too. When I move the selection inside this list with arrow keys and the selected item is out of the view the widget scrolls autmatically to make the selected item visible. However this does not work when I select the item "None" while it's out of the visible area.

Steps to Reproduce:
1. Open Impress
2. Open Sidebar and the slide transition panel
3. Scroll down the item list so the "None" item is invisible
4. Click inside the list to select any item
5. Move the selection by arrow keys, first under the "None" item, then on the it

Actual Results:
The list is not scrolled to make the selected "None" item visible.

Expected Results:
The list should be scrolled to make the selected "None" item visible as it works any other item.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Tamás Zolnai 2018-09-30 13:38:50 UTC
Let's convert this one an easy hack
The panel code is here
sd/uiconfig/simpress/ui/slidetransitionspanel.ui
sd/source/ui/animations/SlideTransitionPane.cxx

Check mpVS_TRANSITION_ICONS variable. It's the list of available transitions.
Comment 2 Patrik Vas 2018-12-31 15:02:29 UTC
Waiting for code review
https://gerrit.libreoffice.org/65772
Comment 3 Commit Notification 2018-12-31 17:31:51 UTC
Patrik Vas committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/04e41ba2d86921ce17214e2b70a277df7cf5f8ed%5E%21

tdf#120037: Fix transition sidebar "None" scroll issue

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.